Summary: Garbage collector for C and C++
Name:    gc
Version: 8.2.4
Release: 1%{?dist}
License: BSD
URL:     https://www.hboehm.info/gc/
Source0: https://github.com/ivmai/bdwgc/releases/download/v%{version}/gc-%{version}.tar.gz

BuildRequires: automake libtool gcc-c++ pkgconfig make

Provides:  libgc = %{version}-%{release}

%description
The Boehm-Demers-Weiser conservative garbage collector can be used as a garbage 
collecting replacement for C malloc or C++ new. It allows you to allocate memory 
basically as you normally would, without explicitly deallocating memory that is 
no longer useful. The collector automatically recycles memory when it determines 
that it can no longer be otherwise accessed.

%package devel
Summary:  Libraries and header files for gc development
Requires: gc = %{version}-%{release}
Provides: libgc-devel = %{version}-%{release}

%description devel
Development libraries and header files for using gc.

%prep
%autosetup -p1

%build

rm -f libtool libtool.m4
autoreconf -if

export CPPFLAGS="-DUSE_GET_STACKBASE_FOR_MAIN"; 

%configure \
  --disable-docs \
  --enable-cplusplus \
  --enable-large-config \
  --enable-threads=posix

%make_build

%install
%make_install

install -p -D -m644 doc/gc.man  %{buildroot}%{_mandir}/man3/gc.3

rm -rfv %{buildroot}%{_datadir}/gc/
rm -fv  %{buildroot}%{_libdir}/lib*.la

%check
%ifnarch aarch64 ppc64le
make check 
%endif

%files
%{_libdir}/libcord.so.1*
%{_libdir}/libgctba.so.1*
%{_libdir}/libgc.so.1*
%{_libdir}/libgccpp.so.1*

%files devel
%doc doc/README.environment doc/README.linux
%doc doc/*.md
%{_includedir}/gc.h
%{_includedir}/gc_cpp.h
%{_includedir}/gc/
%{_libdir}/libcord.so
%{_libdir}/libgctba.so
%{_libdir}/libgc.so
%{_libdir}/libgccpp.so
%{_libdir}/pkgconfig/bdw-gc.pc
%{_mandir}/man3/gc.3*

%changelog
* Wed Jan 03 2024 Upgrade Robot <upbot@opencloudos.org> - 8.2.4-1
- Upgrade to version 8.2.4

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.0.6-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.0.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.0.6-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Aug 02 2022 Wang Zhe <bessiewang@tencent.com> - 8.0.6-1
- initial build
